%define anolis_release 3

Name:		mecab
Summary:	Yet Another Part-of-Speech and Morphological Analyzer
Version:	0.996
Release:	%{anolis_release}%{?dist}

License:	BSD or LGPLv2+ or GPL+
# mecab's sit has been changed
URL:		https://taku910.github.io/mecab/
Source0:	http://mecab.googlecode.com//%{name}-%{version}.tar.gz

BuildRequires: gcc-c++ make

%description
Mecab is an free open-source morphological analysis engine developed through
a joint research unit project between the Kyoto University Graduate School of
Informatics and Nippon Telegraph and Telephone Corporation Communication Science
Laboratories.

NOTE:
Please install the MeCab dictionary rpm to make use of MeCab.

%package devel
Summary:	Libraries and Header files for Mecab
Requires:	%{name} = %{EVR}

%description devel
This development package provides libraries and header files for MeCab.

%package doc
Summary:        Docs files for Mecab
Requires:       %{name} = %{EVR}

%description doc
This help package provides doc files for MeCab.

%prep
%autosetup -p1 -n %{name}-%{version}

mv doc/doxygen .
find . -name \*.cpp -print0 | xargs -0 chmod 0644

sed -i.flags -e '/-O3/s|CFLAGS=\"\(.*\)\"|CFLAGS=\${CFLAGS:-\1}|' \
	-e '/-O3/s|CXXFLAGS=\"\(.*\)\"|CXXFLAGS=\${CFLAGS:-\1}|' \
	-e '/MECAB_LIBS/s|-lstdc++||' configure

sed -i.multilib -e 's|@prefix@/lib/mecab|%{_libdir}/mecab|' mecab-config.in mecabrc.in

%build
%configure
sed -i.rpath -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
	-e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.{a,la}
rm -f doc/Makefile*

mkdir -p $RPM_BUILD_ROOT%{_libdir}/mecab/dic/

%generate_compatibility_deps

%check
export LD_LIBRARY_PATH=$(pwd)/src/.libs
cd tests
make check || :
cd ..

%files
%license COPYING LGPL GPL BSD
%dir %{abidir}
%doc AUTHORS
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/mecabrc
%{_bindir}/%{name}
%{abidir}/libmecab.dump
%{abidir}/mecab-option.list
%{_libexecdir}/%{name}/
%{_libdir}/lib%{name}.so.2*
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/dic/

%files devel
%doc example/
%{_bindir}/%{name}-config
%{abidir}/mecab-config-option.list
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}.h

%files doc
%doc doc/ README NEWS INSTALL ChangeLog doxygen/

%changelog
* Tue Apr 11 2023 Heng Qi <hengqi@linux.alibaba.com> - 0.996-3
- Refactor the spec file

* Mon Mar 20 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 0.996-2
- Add abi file

* Fri Jul 22 2022 happy_orange <songnannan@linux.alibaba.com> - 0.996-1
- Init pacakge from upstream
